﻿
@using Jumbula.Core.Model.Order
@model ConfirmPaymentAmountViewModel
@{
    Layout = "~/Views/Shared/_ModalLayout.cshtml";

    ViewBag.ModalTitle = "Confirm amount";
}

<form id="ConfirmPaymentAmount">
    @Html.AntiForgeryToken()
    <div id="ConfirmPaymentAmount1">

        @if (Model.IsAutoChargeNotPastDue)
        {
            <h5 style="margin-top: 0px !important;margin-bottom: 0px !important;">You can pay the whole amount or make a partial payment.</h5>
            <h6 style="color:red;margin-bottom: 5px !important;font-size: 12px;margin-top: 6px !important;font-weight: bold;">Note: This payment will be automatically charged on @Model.StrDueDate.</h6>
            <h6 style="font-size: 12px;margin-top: 6px !important;">If you make a payment toward this installment, on the due date you will only be charged for the installment amount less any payments you have already made.</h6>
        }
        else
        {
            <h5 style="margin-top: 0px !important;">You can pay the whole amount or make a partial payment.</h5>

        }

        <div class="row">
            <div class="col-md-10" style="border: 1px solid #eee;margin-left: 25px;margin-bottom: 7px;padding: 5px;">
                <span style="font-weight: bold;">Name:</span> @Model.FullName <br />
                <span style="font-weight: bold;">Program name:</span> @Model.ProgramName

                <br />
            </div>
        </div>

        <div class="row" style="margin-bottom: 10px;">
            <div class="col-md-4">
                <div class="head-choose-filter">
                    <div class="radio-inline">
                        <label>
                            @Html.HiddenFor(model => model.Id)
                            @Html.HiddenFor(model => model.PaymentType)
                            @Html.HiddenFor(model => model.ReturnUrl)
                            @Html.HiddenFor(model => model.Balance)
                            @Html.HiddenFor(model => model.FullName)
                            @Html.HiddenFor(model => model.ProgramName)
                            @Html.RadioButtonFor(model => model.AmountPayType, AmountPayType.FullPay)
                            Pay the whole amount (@Model.StrBalance)
                        </label>
                    </div>
                </div>

            </div>
        </div>
        <div class="row">
            <div class="col-md-8">
                <div class="head-choose-filter">
                    <div class="radio-inline" style="margin-bottom: 5px;">
                        <label>
                            @Html.RadioButtonFor(model => model.AmountPayType, AmountPayType.PartiallyPay)
                            Make a partial payment toward the @Model.StrBalance balance
                        </label>
                    </div>
                </div>
                <div class="content-choose-filter" style="margin-left: 20px;">
                    <div class="hide-inputbtns">

                        <div class="input-group">
                            <span class="input-group-addon">$</span>
                            @Html.EditorFor(model => model.PayableAmount, new { htmlAttributes = new { @class = "form-control currency", @style = "display:inline-block;width:80%;" } })
                        </div>

                    </div>
                    @Html.ValidationMessageFor(model => model.PayableAmount, "", new { @class = "text-danger clearfix", @id = "PayableAmountValidation" })
                </div>
            </div>
        </div>
    </div>
</form>

@section ModalFooter{
    <a class="btn btn-secondary btn_type-simple" data-dismiss="modal">Cancel</a>
    <button type="button" class="btn btn-secondary btn_color-green" id="AddItemToCart">Continue</button>
}


<script>

    $(document).ready(function () {

        if ($('input[name=AmountPayType]:checked').val() == "FullPay") {
            $("#PayableAmount").hide();
            $(".input-group-addon").hide();

            $("#PayableAmountValidation").hide();
        } else if ($('input[name=AmountPayType]:checked').val() == "PartiallyPay") {
            $("#PayableAmount").show();
            $(".input-group-addon").show();
        }
    });

    $('input[name=AmountPayType]').click(function () {

        if ($('input[name=AmountPayType]:checked').val() == "FullPay") {
            $("#PayableAmount").hide();
            $(".input-group-addon").hide();
            $("#PayableAmountValidation").hide();
        } else if ($('input[name=AmountPayType]:checked').val() == "PartiallyPay") {
            $("#PayableAmount").show();
            $(".input-group-addon").show();
        }

    });

    $('#AddItemToCart').click(function () {

        var form = $("#ConfirmPaymentAmount");
        var formData = form.serialize();
        $.ajax({
            type: 'Post',
            data: formData,
            url: "/Registrant/AddItemToCart",
            cache: false,
            success: function (data) {

                if (data.Status) {
                    location.href = "/cart?token=" + data.Token + "&actionCaller=MakeaPayment&returnUrl=" + data.ReturnUrl;
                }
                else {
                    unblockUI();
                    $("#baseModal").html(data);
                }
            },
            error: function (data) {
                unblockUI();
            }
        });

        function callback() {
            form.ajaxSubmit({
                type: "POST",
                result: form.serialize(),
                url: form.attr('action'),
                success: function (result) {
                    unblockUI();

                    if (result.Status) {

                        location.href = "/cart?token=" + result.Token + "&actionCaller=MakeaPayment&amount=" + result.Amount + "&returnUrl=" + result.ReturnUrl;

                    }
                    else { $("#baseModal").html(data); }
                },
                error: function (req) {
                    unblockUI();
                    $("#baseModal").html(data);
                }
            });
        };
    });
</script>